Agent Registry API

Agent Registry is a centralized, unified catalog that lets you store, discover, and govern Model Context Protocol (MCP) servers, tools, and AI agents within Google Cloud.

Service: agentregistry.googleapis.com

To call this service, we recommend that you use the Google-provided client libraries. If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

Discovery document

A Discovery Document is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:

Service endpoint

A service endpoint is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

  • https://agentregistry.googleapis.com

REST Resource: v1alpha.projects.locations

Methods
get GET /v1alpha/{name=projects/*/locations/*}
Gets information about a location.
list GET /v1alpha/{name=projects/*}/locations
Lists information about the supported locations for this service.

REST Resource: v1alpha.projects.locations.agents

Methods
get GET /v1alpha/{name=projects/*/locations/*/agents/*}
Gets details of a single Agent.
list GET /v1alpha/{parent=projects/*/locations/*}/agents
Lists Agents in a given project and location.
search POST /v1alpha/{parent=projects/*/locations/*}/agents:search
Searches Agents in a given project and location.

REST Resource: v1alpha.projects.locations.bindings

Methods
create POST /v1alpha/{parent=projects/*/locations/*}/bindings
Creates a new Binding in a given project and location.
delete DELETE /v1alpha/{name=projects/*/locations/*/bindings/*}
Deletes a single Binding.
fetchAvailable GET /v1alpha/{parent=projects/*/locations/*}/bindings:fetchAvailable
Fetches available Bindings.
get GET /v1alpha/{name=projects/*/locations/*/bindings/*}
Gets details of a single Binding.
list GET /v1alpha/{parent=projects/*/locations/*}/bindings
Lists Bindings in a given project and location.
patch PATCH /v1alpha/{binding.name=projects/*/locations/*/bindings/*}
Updates the parameters of a single Binding.

REST Resource: v1alpha.projects.locations.endpoints

Methods
get GET /v1alpha/{name=projects/*/locations/*/endpoints/*}
Gets details of a single Endpoint.
list GET /v1alpha/{parent=projects/*/locations/*}/endpoints
Lists Endpoints in a given project and location.

REST Resource: v1alpha.projects.locations.mcpServers

Methods
get GET /v1alpha/{name=projects/*/locations/*/mcpServers/*}
Gets details of a single McpServer.
list GET /v1alpha/{parent=projects/*/locations/*}/mcpServers
Lists McpServers in a given project and location.
search POST /v1alpha/{parent=projects/*/locations/*}/mcpServers:search
Searches McpServers in a given project and location.

REST Resource: v1alpha.projects.locations.operations

Methods
cancel POST /v1alpha/{name=projects/*/locations/*/operations/*}:cancel
Starts asynchronous cancellation on a long-running operation.
delete DELETE /v1alpha/{name=projects/*/locations/*/operations/*}
Deletes a long-running operation.
get GET /v1alpha/{name=projects/*/locations/*/operations/*}
Gets the latest state of a long-running operation.
list GET /v1alpha/{name=projects/*/locations/*}/operations
Lists operations that match the specified filter in the request.

REST Resource: v1alpha.projects.locations.services

Methods
create POST /v1alpha/{parent=projects/*/locations/*}/services
Creates a new Service in a given project and location.
delete DELETE /v1alpha/{name=projects/*/locations/*/services/*}
Deletes a single Service.
get GET /v1alpha/{name=projects/*/locations/*/services/*}
Gets details of a single Service.
list GET /v1alpha/{parent=projects/*/locations/*}/services
Lists Services in a given project and location.
patch PATCH /v1alpha/{service.name=projects/*/locations/*/services/*}
Updates the parameters of a single Service.